/**
 * TCS Dependency Map Renderer
 *
 * Copyright (c) 2005 TopCoder, Inc. All rights Reserved.
 */
package com.topcoder.rules.dependencymap.view;

import junit.framework.TestCase;
import java.awt.Font;
import java.awt.Color;

/**
 * Unit test cases for FixedGridLayoutManager.
 *
 * @author TCSDeveloper
 */
public class NewFixedGridLayoutManagerUnitTests extends TestCase {
    

    /**
     * The layout manager to use.
     */
    private FixedGridLayoutManager manager = null;

    /**
     * Create instance of shape factory, diagram renderer and dependency renderer for each test.
     */
    protected void setUp() {
	    manager = new FixedGridLayoutManager();	    
    }

    /**
     * Test get and set colPadding.
     */
    public void testColPadding() {
	    
	    manager.setColPadding(100);
	    
	    assertEquals("testColPadding fails.", 100, manager.getColPadding());	   	   
    }	    
    
    /**
     * Test get and set rowPadding.
     */
    public void testRowPadding() {
	    
	    manager.setRowPadding(100);
	    
	    assertEquals("testRowPadding fails.", 100, manager.getRowPadding());	   	   
    }	    
    
    /**
     * Test get and set textMargin.
     */
    public void testTextMargin() {
	    
	    manager.setTextMargin(100);
	    
	    assertEquals("testTextMargin fails.", 100, manager.getTextMargin());	   	   
    }	    
    
    /**
     * Test get and set textFont.
     */
    public void testTextFont() {
	    
	    Font font = new Font("SansSerif", Font.PLAIN, 100);      
	    manager.setTextFont(font);
	    
	    assertEquals("testTextFont fails.", font, manager.getTextFont());	   	   
    }	    
    
    /**
     * Test get and set textColor.
     */
    public void testTextColor() {
	    
	    Color color = new Color(0x123456); 
	    manager.setTextColor(color);
	    
	    assertEquals("testTextColor fails.", color, manager.getTextColor());	   	   
    }	    
    

    /**
     * Test get and set ShapeLineColor.
     */
    public void testShapeLineColor() {
	    
	    Color color = new Color(0x123456); 
	    manager.setShapeLineColor(color);
	    
	    assertEquals("testShapeLineColor fails.", color, manager.getShapeLineColor());	   	   
    }	 
         
    
    /**
     * Test get and set ShapeFillColor.
     */
    public void testShapeFillColor() {
	    
	    Color color = new Color(0x123456); 
	    manager.setShapeFillColor(color);
	    
	    assertEquals("testShapeFillColor fails.", color, manager.getShapeFillColor());	   	   
    }	 
    
    /**
     * Test get and set ArrowLineColor.
     */
    public void testArrowLineColor() {
	    
	    Color color = new Color(0x123456); 
	    manager.setArrowLineColor(color);
	    
	    assertEquals("testArrowLineColor fails.", color, manager.getArrowLineColor());	   	   
    }
    
    /**
     * Test get and set ArrowFillColor.
     */
    public void testArrowFillColor() {
	    
	    Color color = new Color(0x123456); 
	    manager.setArrowFillColor(color);
	    
	    assertEquals("testArrowFillColor fails.", color, manager.getArrowFillColor());	   	   
    }	 
    
    /**
     * Test setArrowFillColor with null.
     */
    public void testSetArrowFillColor() {
        try {
            manager.setArrowFillColor(null);
            fail("Should have thrown NullPointerException.");
        } catch (NullPointerException npe) {
        }
    }

    /**
     * Test setArrowLineColor with null.
     */
    public void testSetArrowLineColor() {
        try {
            manager.setArrowLineColor(null);
            fail("Should have thrown NullPointerException.");
        } catch (NullPointerException npe) {
        }
    }

    /**
     * Test setShapeFillColor with null.
     */
    public void testSetShapeFillColor() {
        try {
            manager.setShapeFillColor(null);
            fail("Should have thrown NullPointerException.");
        } catch (NullPointerException npe) {
        }
    }

    /**
     * Test setShapeLineColor with null.
     */
    public void testSetShapeLineColor() {
        try {
            manager.setShapeLineColor(null);
            fail("Should have thrown NullPointerException.");
        } catch (NullPointerException npe) {
        }
    }
    
    /**
     * Test setTextColor with null.
     */
    public void testSetTextColor() {
        try {
            manager.setTextColor(null);
            fail("Should have thrown NullPointerException.");
        } catch (NullPointerException npe) {
        }
    }
    
    


    	
    
    
    
                
 }   